## fonts-lohit-orya 2.5.4.1

=== Makefile ===
all: ttf woff eot ttf-dist sfd-dist web-dist

version:= 2.5.4.1

ttf: ttf-bin
	@echo "----------Generating ttf from sfd file----------"
	./generate.pe *.sfd
	@echo "----------Finished generating ttf file----------"
	@echo " "

woff: woff-bin
	@echo "----------Generating woff from ttf file----------"
	java -jar /usr/share/java/sfnttool.jar -w Lohit-Oriya.ttf Lohit-Oriya.woff
	@echo "----------Finished generating woff file----------"
	@echo " "

eot: eot-bin
	@echo "----------Generating eot from ttf file----------"
	java -jar /usr/share/java/sfnttool.jar -e -x Lohit-Oriya.ttf Lohit-Oriya.eot
	@echo "----------Finished generating eot file----------"
	@echo " "

ttf-dist: dist
	mkdir lohit-oriya-ttf-$(version)
	cp -p COPYRIGHT OFL.txt README README.git AUTHORS  ChangeLog  66-lohit-oriya.conf Lohit-Oriya.ttf lohit-oriya-ttf-$(version)
	rm -rf lohit-oriya-ttf-$(version)/.git
	tar -cf lohit-oriya-ttf-$(version).tar lohit-oriya-ttf-$(version)
	gzip lohit-oriya-ttf-$(version).tar
	rm -rf lohit-oriya-ttf-$(version)

sfd-dist: dist
	mkdir lohit-oriya-$(version)
	cp -p COPYRIGHT OFL.txt README README.git AUTHORS generate*.pe Makefile ChangeLog  66-lohit-oriya.conf Lohit-Oriya.sfd lohit-oriya-$(version)
	rm -rf lohit-oriya-$(version)/.git
	rm -rf lohit-oriya-$(version)/*.ttf
	tar -cf lohit-oriya-$(version).tar lohit-oriya-$(version)
	gzip lohit-oriya-$(version).tar
	rm -rf lohit-oriya-$(version)

web-dist: webdist
	mkdir lohit-oriya-web-$(version)
	cp -p COPYRIGHT OFL.txt README README.git AUTHORS  ChangeLog Lohit-Oriya.woff  Lohit-Oriya.eot lohit-oriya-web-$(version)
	rm -rf lohit-oriya-web-$(version)/.git
	tar -cf lohit-oriya-web-$(version).tar lohit-oriya-web-$(version)
	gzip lohit-oriya-web-$(version).tar
	rm -rf lohit-oriya-web-$(version)

clean: cleanall
	rm -f *.ttf *.eot *.woff
	rm -rf *.tar.gz
	rm -rf lohit-oriya*

.PHONY: ttf-bin woff-bin eot-bin webdist dist cleanall version

## fonts-lohit-orya 2.5.1

=== debian/changelog ===
fonts-lohit-orya (2.5.1-1) unstable; urgency=low

  * Split from ttf-oriya-fonts package

 -- Muneeb Shaikh <iammuneeb@gmail.com>  Sun, 04 Mar 2012 16:36:25 +0530

=== debian/control ===
Source: fonts-lohit-orya
Section: fonts
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Muneeb Shaikh <iammuneeb@gmail.com>
Build-Depends: debhelper (>= 8.0.0),
               fontforge
Standards-Version: 3.9.3
Homepage: https://fedorahosted.org/lohit/
Vcs-Git: git://git.debian.org/debian-in/fonts-lohit-orya.git
Vcs-Browser: http://git.debian.org/?p=debian-in/fonts-lohit-orya.git;a=summary

Package: fonts-lohit-orya
Architecture: all
Depends: ${misc:Depends}
Replaces: ttf-oriya-fonts (<= 1:0.5.12)
Breaks: ttf-oriya-fonts (<= 1:0.5.12)
Description: Lohit TrueType font for Oriya Language
 This package provides Lohit TrueType font for Oriya language which is
 primarily used in Indian state of Orissa.
 .

## fonts-lohit-orya 2.5.4.1

=== debian/changelog ===
fonts-lohit-orya (2.5.4.1-1) unstable; urgency=low

  * Added myself as uploader to the package.
  * Bumped Standards-Version to 3.9.4 without modification to package source.
  * Use canonical anonscm.d.o URL's for Vcs-* field
  * Mark the package as multi-arch foreign to allow smooth installation on
    multi-arch systems. 
  * Misc formatting changes
  * Remove unneeded debhelper comment template
  * Install symlink to 66-lohit-oriya.conf to /etc/fonts/conf.d folder.
  * Imported Upstream version 2.5.4.1
  * Upstream no longer ships README.cvs and ChangeLog.old, new file
    README.git is provided.
  * Override dh_auto_build to run only make test due to changes in
    upstream Makefile.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sun, 25 Aug 2013 20:57:59 +0530

=== debian/control ===
Source: fonts-lohit-orya
Section: fonts
Priority: optional
Maintainer: Debian-IN Team <debian-in-workers@lists.alioth.debian.org>
Uploaders: Muneeb Shaikh <iammuneeb@gmail.com>,
 Vasudev Kamath <kamathvasudev@gmail.com>
Build-Depends: debhelper (>= 8.0.0),
               fontforge
Standards-Version: 3.9.4
Homepage: https://fedorahosted.org/lohit/
Vcs-Git: git://anonscm.debian.org/debian-in/fonts-lohit-orya.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-in/fonts-lohit-orya.git

Package: fonts-lohit-orya
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: ttf-oriya-fonts (<= 1:0.5.12)
Breaks: ttf-oriya-fonts (<= 1:0.5.12)
Description: Lohit TrueType font for Oriya Language
 This package provides Lohit TrueType font for Oriya language which is
 primarily used in Indian state of Orissa.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	make ttf

=== debian/watch ===
version=3
https://fedorahosted.org/releases/l/o/lohit/lohit-oriya-(\d\.\d\.\d\.*\d{0,1})\.tar\.gz

## fonts-lohit-orya 2.91.2

=== Makefile ===
all: sfd-dist ttf woff eot ttf-dist web-dist  
version:= 2.91.2

test: test-ttf
	@echo "----------Testing actual-output with expected-output----------"
	fontforge -lang=py -script auto_test.py std-test-out.txt Lohit-Odia.ttf

ttf: ttf-bin
	@echo "----------Generating ttf from sfd file----------"
	fontforge -lang=py -script apply_featurefile.py Lohit-Odia.sfd Lohit-Odia.fea
	./generate.pe *.sfd
	@echo "----------Finished generating ttf file----------"
	@echo " "

woff: woff-bin
	@echo "----------Generating woff from ttf file----------"
	sfntly -w Lohit-Odia.ttf Lohit-Odia.woff
	@echo "----------Finished generating woff file----------"
	@echo " "

eot: eot-bin
	@echo "----------Generating eot from ttf file----------"
	sfntly -e -x Lohit-Odia.ttf Lohit-Odia.eot
	@echo "----------Finished generating eot file----------"
	@echo " "

ttf-dist: dist
	mkdir lohit-odia-ttf-$(version)
	cp -p COPYRIGHT OFL.txt test-odia.txt README  AUTHORS ChangeLog 66-lohit-odia.conf Lohit-Odia.ttf io.pagure.lohit.odia.font.metainfo.xml lohit-odia-ttf-$(version)
	rm -rf lohit-odia-ttf-$(version)/.git
	tar -cf lohit-odia-ttf-$(version).tar lohit-odia-ttf-$(version)
	gzip lohit-odia-ttf-$(version).tar
	rm -rf lohit-odia-ttf-$(version)

sfd-dist: dist
	mkdir lohit-odia-$(version)
	cp -p COPYRIGHT OFL.txt test-odia.txt README  AUTHORS generate*.pe apply_featurefile.py auto_test.py *.fea Makefile ChangeLog 66-lohit-odia.conf Lohit-Odia.sfd std-test-out.txt io.pagure.lohit.odia.font.metainfo.xml lohit-odia-$(version)
	rm -rf lohit-odia-$(version)/.git
	rm -rf lohit-odia-$(version)/*.ttf
	tar -cf lohit-odia-$(version).tar lohit-odia-$(version)
	gzip lohit-odia-$(version).tar
	rm -rf lohit-odia-$(version)

web-dist: webdist
	mkdir lohit-odia-web-$(version)
	cp -p COPYRIGHT OFL.txt test-odia.txt README  AUTHORS ChangeLog Lohit-Odia.woff  Lohit-Odia.eot lohit-odia-web-$(version)
	rm -rf lohit-odia-web-$(version)/.git
	tar -cf lohit-odia-web-$(version).tar lohit-odia-web-$(version)
	gzip lohit-odia-web-$(version).tar
	rm -rf lohit-odia-web-$(version)

clean: cleanall
	rm -f *.ttf *.eot *.woff
	rm -rf *.tar.gz
	rm -rf lohit-odia*

.PHONY: ttf-bin woff-bin eot-bin webdist dist cleanall version test-ttf

=== debian/changelog ===
fonts-lohit-orya (2.91.2-3) unstable; urgency=low

  * Team upload.
  * Updated debian/watch to standard 5.
  * debian/control:
    + Updated Standards-Version to 4.7.3
    + Removed 'Rules-Requires-Root' field.
    + Removed redundant 'Priority' field.
    + Bumped debhelper-compat to 13.
  * debian/copyright:
    + Updated copyright year.
    + Use shorter version of CC0-1.0 license.
  * Added debian/upstream/metadata.
  * Fixed patch header.
  * debian/rules:
    + Fixd build target to not modifiy upstream file (Closes: #1044360)
  * Removed obsolete debian/README.Debian file.

 -- Kartik Mistry <kartik@debian.org>  Tue, 06 Jan 2026 18:46:31 +0530

fonts-lohit-orya (2.91.2-2) unstable; urgency=low

  * Team upload.
  * debian/control:
    + Set Maintainer to Debian Fonts Task Force.
    + Updated Uploaders.
    + Updated Standards-Version to 4.5.0
    + Switched to debhelper-compat.
    + Build-Depends: fontforge->fontforge-nox.
    + Updated Vcs-* URLs.
    + Added 'Rules-Requires-Root' field.
  * Updated debian/copyright.
  * Added debian/gitlab-ci.yml.
  * debian/rules:
    + Really ignore tests.

 -- Kartik Mistry <kartik@debian.org>  Wed, 22 Apr 2020 11:55:59 +0530

fonts-lohit-orya (2.91.2-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * Team upload.
  * New upstream release:
    + Font renamed from Lohit Oriya to Lohit Odia.
  * Update debian/watch.
  * debian/control:
    + Updated Homepage and Vcs- fields.
  * Don't fail the build for failing tests yet.
  * Don't try to install nonexistent docs.
  * Install appstream metadata.
  * Add fix-appstream-metadata.patch.

  [ Kartik Mistry ]
  * debian/control:
    + Bumped Standards-Version to 4.0.0
    + Bumped debhelper dependency to 10
  * Set debian/compat to 10.

 -- Kartik Mistry <kartik@debian.org>  Sun, 25 Jun 2017 09:55:37 +0530

=== debian/control ===
Source: fonts-lohit-orya
Section: fonts
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
Build-Depends: debhelper-compat (= 13), fontforge-nox
Standards-Version: 4.7.3
Homepage: https://pagure.io/lohit
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-lohit-orya.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-lohit-orya

Package: fonts-lohit-orya
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: ttf-oriya-fonts (<= 1:0.5.12)
Breaks: ttf-oriya-fonts (<= 1:0.5.12)
Description: Lohit TrueType font for Oriya Language
 This package provides Lohit TrueType font for Oriya language which is
 primarily used in Indian state of Orissa.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	mkdir -p build
	cp Lohit-Odia.sfd build/
	fontforge -lang=py -script apply_featurefile.py \
			build/Lohit-Odia.sfd Lohit-Odia.fea
	(cd build && fontforge -script ../generate.pe Lohit-Odia.sfd)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_auto_test:
	# Skip tests since they aren't working yet
	# https://github.com/pravins/lohit/issues/83

=== debian/watch ===
Version: 5

Source: https://releases.pagure.org/lohit/
Matching-Pattern: lohit-odia-([\d\.]+)\.tar\.gz
